package capitulo04.bloque04;


import static capitulo04.utils.Utils.solicitarStringScanner;

public class Ejercicio05 {
    public static void main(String[] args) {
        System.out.println(
                compararLexico(solicitarStringScanner("Introduzca la primera palabra"),
                solicitarStringScanner("Introduzca la segunda palabra")));
    }

    public static int compararLexico(String string1, String string2) {
        int puntos1 = 0;
        int puntos2 = 0;
        String minuscula1 = "";
        String minuscula2 = "";
        for (int i = 0; i < (string1.length() >= string2.length() ? string1.length() : string2.length()); i++) {
            if (string1.charAt(i) >= 65 && string1.charAt(i) <= 90) {
                minuscula1 += (char) (string1.charAt(i) + 32);
            } else {
                minuscula1 += string1.charAt(i);
            }
            if (string2.charAt(i) >= 65 && string2.charAt(i) <= 90) {
                minuscula2 += (char) (string2.charAt(i) + 32);
            } else {
                minuscula2 += string2.charAt(i);
            }


            if (minuscula1.charAt(i) > minuscula2.charAt(i)) {
                puntos2++;
            } else if (minuscula1.charAt(i) < minuscula2.charAt(i)) {
                puntos1++;
            }
        }
        if (puntos1 == puntos2) {
            return 0;
        } else if (puntos1 > puntos2) {
            return -1;
        } else {
            return 1;
        }
    }
}
